---
title: "GET paymenttypes"
url: "https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c/paths/paymenttypes/get"
---

> Full API specification: https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c.md

# /paymenttypes

`GET` `/paymenttypes`

## Query parameters

- `page_size` (string, optional)
- `page_number` (string, optional)
- `modified_since` (string, optional)

## Header parameters

- `x-api-key` (string, required)

## Responses

- `200` - 200 response
- `400` - 400 response
- `403` - 403 response
- `429` - 429 response

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: PublicApi
  version: 0.1.0
servers:
  - url: https://api.retailexpress.com.au/{basePath}
    variables:
      basePath:
        default: v1
paths:
  /paymenttypes:
    get:
      parameters:
        - name: page_size
          in: query
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: page_number
          in: query
          schema:
            type: string
        - name: modified_since
          in: query
          schema:
            type: string
      responses:
        "200":
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PaymentTypeListResponse"
        "400":
          description: 400 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "403":
          description: 403 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "429":
          description: 429 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
      security:
        - api_key: []
security:
  - api_key: []
components:
  schemas:
    PaymentTypeListResponse:
      type: object
      properties:
        page_number:
          $ref: "#/components/schemas/PageNumber"
        total_records:
          $ref: "#/components/schemas/TotalRecords"
        total_pages:
          $ref: "#/components/schemas/TotalPages"
        payment_types:
          type: array
          description: A list of payment types
          items:
            $ref: "#/components/schemas/PaymentType"
        page_size:
          $ref: "#/components/schemas/PageSize"
    PageNumber:
      title: Page Number
      type: integer
      description: The current page number
    TotalRecords:
      title: Total Record Count
      type: integer
      description: The total number of records in your query
    TotalPages:
      title: Total Page Count
      type: integer
      description: The total number of pages in your query
    PaymentType:
      type: object
      properties:
        is_enabled:
          title: IsEnabled
          type: boolean
          description: A flag indicating if the payment method is enabled
        last_modified_on:
          title: Last Modified On
          type: string
          description: The date the payment type was last modified
          format: date-time
        summarised_for_accounting:
          title: IsSummarised
          type: boolean
          description: A flag indicating if the payment method is summarised for
            accounting purposes
        name:
          title: Name
          type: string
          description: The name of the payment type
        id:
          title: ID
          type: string
          description: The ID of the payment type
      description: A payment type
    PageSize:
      title: Page Size
      type: integer
      description: The maximum number of records in a single page
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header
      x-amazon-apigateway-authtype: custom
```
